Package io.vertx.redis.client

## Enum ProtocolVersion

- java.lang.Object
- - java.lang.Enum<ProtocolVersion>
  - - io.vertx.redis.client.ProtocolVersion

- All Implemented Interfaces:
    `Serializable`, `Comparable<ProtocolVersion>`

      public enum ProtocolVersion
      extends Enum<ProtocolVersion>

  Redis protocol version to be used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RESP2` | RESP2
    `RESP3` | RESP3

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getValue()` |
    `static ProtocolVersion` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ProtocolVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESP2

          public static final ProtocolVersion RESP2

      RESP2

    - #### RESP3

          public static final ProtocolVersion RESP3

      RESP3

  - ### Method Detail

    - #### values

          public static ProtocolVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolVersion c : ProtocolVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolVersion valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()